# class Psych::Nodes::Mapping

This class represents a YAML Mapping.

A `Psych::Nodes::Mapping` node may have 0 or more children, but must have an even number of children. Here are the valid children a `Psych::Nodes::Mapping` node may have:

- `Psych::Nodes::Sequence`

- `Psych::Nodes::Mapping`

- `Psych::Nodes::Scalar`

- `Psych::Nodes::Alias`

### Constants

ANY

  Any Map Style

BLOCK

  Block Map Style

FLOW

  Flow Map Style

### Attributes

anchor [RW]

The optional anchor for this mapping

implicit [RW]

Is this an implicit mapping?

style [RW]

The style of this mapping

tag [RW]

The optional tag for this mapping

### Public Class Methods

new (anchor = nil, tag = nil, implicit = true, style = BLOCK)
Source

    # File ext/psych/lib/psych/nodes/mapping.rb, line 48
    def initialize anchor = nil, tag = nil, implicit = true, style = BLOCK
      super()
      @anchor   = anchor
      @tag      = tag
      @implicit = implicit
      @style    = style
    end

Create a new `Psych::Nodes::Mapping` object.

`anchor` is the anchor associated with the map or `nil`. `tag` is the tag associated with the map or `nil`. `implicit` is a boolean indicating whether or not the map was implicitly started. `style` is an integer indicating the mapping style.

## See Also¶ ↑

See also `Psych::Handler#start_mapping`

Calls superclass method `Psych::Nodes::Node::new`

### Public Instance Methods

mapping? ()
Source

    # File ext/psych/lib/psych/nodes/mapping.rb, line 56
    def mapping?; true; end